import java.util.ArrayList;

import javax.xml.namespace.QName;
import javax.xml.rpc.Call;
import javax.xml.rpc.ParameterMode;
import javax.xml.rpc.Service;
import javax.xml.rpc.ServiceFactory;

import org.jboss.ws.core.soap.SOAPContentElement;

public class TestWebService
{

	
	public static void testMsProfileCreate()
	{
		try
		{
			String NS_XSD = "http://www.w3.org/2001/XMLSchema";
			String tns = "http://ws/";
			ServiceFactory factory = ServiceFactory.newInstance();
			Service service = factory.createService(new QName(
					"http://ws/",
					"ExternalWebServiceeImplService"));

			Call call = service.createCall(new QName(
					"http://ws/",
					"ExternalWebServiceImpl"));

			call
					.setTargetEndpointAddress("http://127.0.0.1:8080/test/Rohit");
			call.setOperationName(new QName(
					"http://ws/",
					"performOperation"));

			QName QNAME_TYPE_STRING = new QName(NS_XSD, "string");

			QName QNAME_CONF_MS = new QName(tns, "profile");

			QName anyType = new QName(NS_XSD, "anyType");

			call.setReturnType(anyType);

			call.addParameter("profile", QNAME_CONF_MS, test.Profile.class, ParameterMode.IN);

			call.addParameter("name", QNAME_TYPE_STRING, ParameterMode.IN);

			test.Profile profile = new test.Profile();
			
			profile.setName("abcdef");
						
			test.Privacy privacy1 = new test.Privacy();
			privacy1.setAbc("abc");
			privacy1.setXyz("xyz");
			
			test.Privacy[] array = {privacy1};
			
			ArrayList<test.Privacy> privacyArray = new ArrayList<test.Privacy>();
			privacyArray.add(privacy1);
			
			profile.setPrivacyList(privacyArray);
			
			profile.setPrivacy(privacy1);
			
			profile.setPrivacyArray(array);
			
			test.Profile[] profileArray = {profile};
			
			Object[] params = { profileArray, "abc" };


			org.jboss.ws.core.soap.SOAPContentElement cfg = (SOAPContentElement) call
					.invoke(params);
			
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}

	}
	

	public static void main(String[] argv)
	{
		
		testMsProfileCreate();
		
		
	}
}
